/************************************************************************************
* This header file 
*
* (c) Copyright 2006, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale.
*
************************************************************************************/
#ifndef _RADIO_MNGMT_WRAPPER_
#define _RADIO_MNGMT_WRAPPER_

//#include <stdtypes.h>
#include "GlobalDefs.h"
#include "maca.h"

#include "Transceiver.h"


/************************************************************************************
*************************************************************************************
* Public macros
*************************************************************************************
************************************************************************************/
//#define PROCESS_TO_ENBLE

#define _get_ed_value()       (gi8EnDetectValue)
#define _set_channel(x)       (maca_freq = x)
#define _get_channel()        (maca_freq)
#define _set_gain_adjust(x)   ()
#define _set_startclk(x)      (maca_startclk = maca_clk + x)
#define _set_cplclk(x)        (maca_cplclk = maca_clk + x)
#define _set_sftclk(x)        (maca_sftclk = maca_clk + x)

/* Radio commands section */
#define command_xcvr_abort()  (vfnSetTransceiverMode(MODEM_IDLE_MODE))
/*
#pragma INLINE
static uint32_t command_xcvr_ed (uint8_t chann)
  { 
          uint32_t tmpChannel;
          maca_ctrl_reg_t *maca_ctrl_tmp;
          maca_ctrl_tmp = (maca_ctrl_reg_t*)(&maca_control);
          tmpChannel = maca_freq;
          _set_channel(chann);
          maca_ctrl_tmp->Bits.SEQUENCE = control_seq_ed;
          return tmpChannel;
  }
#pragma NO_INLINE
*/


//#pragma INLINE
static uint32_t command_xcvr_ed (uint8_t chann)
  { 
          uint32_t tmpChannel;
          vfnSetTransceiverMode(MODEM_ED_MODE);
          return tmpChannel;
  }
//#pragma NO_INLINE


#define command_xcvr_rx() \
do{ \
     gpu8RxFramePtr = (uint8_t*)(maMessage_Queu[current_msg]->pu8Buffer->reserved); \
     vfnSetTransceiverMode(MODEM_RX_MODE); \
}while(FALSE)


#define command_xcvr_to() \
  do { \
        maca_ctrl_reg_t *maca_ctrl_tmp; \
        maca_ctrl_tmp = (maca_ctrl_reg_t*)(&maca_control); \
        _set_cplclk((uint32_t)(*(maMessage_Queu[current_msg]->pu8Buffer->u8Data))); \
        _set_sftclk((uint32_t)(*(maMessage_Queu[current_msg]->pu8Buffer->u8Data))); \
        maca_ctrl_tmp->Bits.SEQUENCE = control_seq_wait;  \
  }while(FALSE)


#define command_xcvr_tx()     (vfnTransceiverTxMessage((uint8_t*)(maMessage_Queu[current_msg]->pu8Buffer),(uint8_t)(maMessage_Queu[current_msg]->u8BufSize)))

#define get_rx_packet_sz()        (gu8TransceiverRxByteCounter)

/* Radio events section */
#define clear_all_radio_events()             (0)
#define is_action_started_evnt()             (!bfnTransceiverBusy())
#define clear_action_started_evnt()          (0)

#define is_tx_action_completed_evnt()        (!bfnTransceiverBusy())
#define clear_tx_action_completed_evnt()     (0)
#define is_rx_action_completed_evnt()        (is_rx_ac_success_evnt()|is_timeout_evnt())
#define clear_rx_action_completed_evnt()     (0)

#define is_tx_ac_success_evnt()              (!bfnTransceiverBusy())
#define clear_tx_ac_success_evnt()           (0)
#define is_rx_ac_success_evnt()              (gu8TransceiverStatus &(1<<TRANSC_RX_FRAME_VALID))
#define clear_rx_ac_success_evnt()           (gu8TransceiverStatus &= ~(1<<TRANSC_RX_FRAME_VALID))

#define is_timeout_evnt()                    (gu16ModemEventsRegister &(1<<TMR4_IRQ))
#define clear_timeout_evnt()                 (gu16ModemEventsRegister &= ~(1<<TMR4_IRQ))
#define is_ac_timeout_evnt()                 (0)
#define clear_ac_timeout_evnt()              (0)

#define is_action_completed_evnt()           (!bfnTransceiverBusy())
#define clear_action_completed_evnt()        (0)

#define is_ac_success_evnt()                 (1)
#define clear_ac_success_evnt()              (0)


/************************************************************************************
*************************************************************************************
* Public type definitions
*************************************************************************************
************************************************************************************/


/************************************************************************************
*************************************************************************************
* Public prototypes
*************************************************************************************
************************************************************************************/


/************************************************************************************
*************************************************************************************
* Public memory declarations
*************************************************************************************
************************************************************************************/


/************************************************************************************
*************************************************************************************
* Public functions
*************************************************************************************
************************************************************************************/

/************************************************************************************
* This function ...
*
* Interface assumptions: 
*
* Routine limitations. 
*
* Return value: void.
*
* Effects on global data:
*
* Source of algorithm used:
*
* Revison history:
*   date      Author    Comments
*   ------    ------    --------
*   
************************************************************************************/


/**********************************************************************************/

#endif /* _RADIO_MNGMT_WRAPPER_ */



