/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/

#include "ADC.h"
  

static UINT8 ADCGO = 0;

void ADC_Init(void)
{
  ADCSC1 = 0;
  ADCSC2 = 0;
  ADCCFG = ADCCFG_ADLPC_MASK | ADCCFG_ADIV1_MASK | ADCCFG_ADIV0_MASK | ADCCFG_MODE0_MASK | ADCCFG_ADICLK0_MASK;
  APCTL1 = APCTL1_ADPC0_MASK | APCTL1_ADPC4_MASK;
  APCTL2 = APCTL2_ADPC8_MASK;
}                           


void ADC_Start_conversion(UINT8 chan)
{
  ADCSC1 = ADCSC1_AIEN_MASK | chan;
}
  
void ADC_Start_conversions(void)
{
	ADCSC1 = ADCSC1_ADCO_MASK;
}

UINT16 ADC_Get_Newconversion(UINT8 chan)
{
  ADCGO = 0;
  ADCSC1 = ADCSC1_AIEN_MASK | chan;
  while(ADCGO==0)
  {
    //_Wait;
  }
  return ADCR;
}

UINT16 ADC_Get_Conversion(void)
{
  while(ADCSC2_ADACT)
  {
    //_Wait;
  }
  return ADCR;
}

void interrupt VectorNumber_Vadc ADC_ISR(void)
{
  /*PTED_PTED5 = 0;*/
  ADCGO = 1;
  (void)ADCRL;
}