#ifndef __BLOOD_PRESSURE__
#define __BLOOD_PRESSURE__

#include "derivative.h" /* include peripheral declarations */
#include "MyTypes.h"
#include "TPM.h"
#include "Menu.h"
#include "EFIELD.h"


#define BPMCONT     0
#define BPMDONE     1
#define BPMCUFFERR  0x88
#define BPMERROR    0xFF

extern void (*pfBP)(void);
extern UINT8   stopMeasurement;
extern volatile UINT16 gu16Pressure;

void vfnBloodPressureIdle(void);

void vfnDnRmpBloodPressureStart(void);

void vfnBloodPressureStop(void);

void vfnMotorStart(void);

void vfDwnRmpMeasureHi(void);

void vfDwnRmpMeasureLo(void);

void PrematurePulseDelay(void);

void FastInflateCuff(void);

void InflateCuff(void);

void Stableize(void);

static void IncrementM2Time(void);

static void DecrementM2Time(void);

static void IncrementM1Time(void);

static void DecrementM1Time(void);

void vfnUpRmpBloodPressureStart(void);

void vfnUpRmpMotorStart(void);

void vfnUpRmpSmallDelay(void);

void vfnUpRmpStartInflateLess(void);

void vfnUpRmpStartInflate(void);

void vfnUpRmpWaitPulse(void);

void vfnUpRmpFindPulseHigh(void);

void vfnUpRmpFindPulseLow(void);

void vfnUpRmpPrematurePulseDelay(void);

#endif