/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "ADC.h"
#include "EFIELD.h"

#define EFIELD_MAX_CHANNELS 5

volatile UINT8 EFIELDStatus;
volatile UINT8 EFIELDChannel;

UINT8 Electrodes = 0;
UINT8 EFieldReleased =0;


void EFIELD_Init(void)
{   
    _LineA=1;
    _LineB=1;
    _LineC=1;
    EFIELDChannel=1;
    EFIELDStatus=0;
    PTCD&=0xF1;;
    PTCD|=(EFIELDChannel<<1);

}

void EFIELD_GetStatus(void)
{   
    if(ADC_Get_Newconversion(4) < 255)
        EFIELDStatus|=(1<<EFIELDChannel);
    else        
        EFIELDStatus&=~(1<<EFIELDChannel);
    if(EFIELDChannel==EFIELD_MAX_CHANNELS)
        EFIELDChannel=1;
    else
        EFIELDChannel++;
    PTCD&=0xF1;;
    PTCD|=(EFIELDChannel<<1);
    asm (nop);
}


/* For Culiacan 

Electrode 1     Right
Electrode 2     Down
Electrode 3     Enter
Electrode 4     Up
Electrode 5     Left
*/

/*  Take all button status in one time (takes 500 uS)
void EFIELD_GetStatus(void)
{   
    volatile UINT8 u8Channel;
    
    u8Channel=EFIELD_MAX_CHANNELS;
    EFIELDStatus = 0;
    do{
        PTCD=0x00;
        EFIELDStatus=EFIELDStatus<<1;
        PTCD|=(u8Channel<<1);
        PTED_PTED0=1;
        delay();
        delay();
        PTED_PTED0=0;
        if(ADC_Get_Newconversion(4) < 255)
            EFIELDStatus+=1;
    }while(--u8Channel);
}
*/
