#ifndef _EFIELD
#define _EFIELD

#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MyTypes.h" /* include peripheral declarations */


#define LineA   PTCD_PTCD1
#define LineB   PTCD_PTCD2
#define LineC   PTCD_PTCD3

#define _LineA  PTCDD_PTCDD1
#define _LineB  PTCDD_PTCDD2
#define _LineC  PTCDD_PTCDD3

/* Prototypes */
void EFIELD_Init(void);
void EFIELD_GetStatus(void);

extern volatile UINT8 EFIELDStatus;
extern UINT8 Electrodes;
extern UINT8 EFieldReleased;

/* For Culiacan 

Electrode 1     Right
Electrode 2     Down
Electrode 3     Enter
Electrode 4     Up
Electrode 5     Left
*/


typedef enum
{
    ELECTRODE_PRESSED,
    ELECTRODE_RIGHT,
    ELECTRODE_DOWN,
    ELECTRODE_ENTER,
    ELECTRODE_UP,
    ELECTRODE_LEFT
} _ElectrodesBits;


#endif // _EFIELD