/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "Language_Handler.h"

extern bool gbVoiceBusy;

/*************************************************************************************/
void Voice_Spanish_Handler(UINT8 u8Pressure)
{
    UINT8 u8Temporal;

    if(u8Pressure==100)
    {
        while(gbVoiceBusy==true);
        Voice_Play(SPANISH_BASE_ADDRESS + 25);      // Cien
        return;
    }

    if(u8Pressure>100)
    {
        while(gbVoiceBusy==true);
        Voice_Play(SPANISH_BASE_ADDRESS + 26);      // Cien
        u8Pressure-=100;
    }

    /* Pressure is less than 20 */
    if(u8Pressure<20)
    {
        if(u8Pressure<16)
        {
            while(gbVoiceBusy==true);
            Voice_Play(SPANISH_BASE_ADDRESS + u8Pressure);
        }
        else
        {
            u8Pressure%=10;
            while(gbVoiceBusy==true);
            Voice_Play(SPANISH_BASE_ADDRESS + 10);
            while(gbVoiceBusy==true);
            Voice_Play(SPANISH_BASE_ADDRESS + 28);
            while(gbVoiceBusy==true);
            Voice_Play(SPANISH_BASE_ADDRESS + u8Pressure);
        }
    }
    if(u8Pressure==20)
    {
        while(gbVoiceBusy==true);
        Voice_Play(SPANISH_BASE_ADDRESS + 16);
        while(gbVoiceBusy==true);
        return;
    }
    
    if(u8Pressure>20)
    {
            // Decenas 
        u8Temporal=u8Pressure/10;
        u8Pressure=u8Pressure % 10;
        while(gbVoiceBusy==true);
        Voice_Play(SPANISH_BASE_ADDRESS +u8Temporal + 15);      

        // y 
        if(u8Temporal!=2 && u8Pressure!=0)            
        {
            while(gbVoiceBusy==true);
            Voice_Play(SPANISH_BASE_ADDRESS + 28);      
        }
        // Unidades 
        u8Pressure=u8Pressure % 10;
        if(u8Pressure!=0)
        {
            while(gbVoiceBusy==true);
            Voice_Play(SPANISH_BASE_ADDRESS +u8Pressure);      
        }
    }
    while(gbVoiceBusy==true);
}


/*************************************************************************************/
void Voice_English_Handler(UINT8 u8Pressure)
{
    UINT8 u8Temporal;
    
    /* If Pressure is 100 or more */
    if(u8Pressure>99)
    {
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + 23);       // One      
        u8Pressure-=100;
        if(u8Pressure==0)   
        {
            while(gbVoiceBusy==true);
            return;
        }
    }

    
    // Less than 13
    if(u8Pressure<13)
    {
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + u8Pressure);
        while(gbVoiceBusy==true);
        return;
    }

    // Pressure is 13
    if(u8Pressure==13)
    {
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + 13);
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + 25);
        while(gbVoiceBusy==true);
        return;
    }

    // Pressure is 15
    if(u8Pressure==15)
    {
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + 14);
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + 25);
        while(gbVoiceBusy==true);
        return;
    }

    // Pressure between 13 and 20 except 15
    if(u8Pressure<20)
    {
        u8Pressure=u8Pressure % 10;
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + u8Pressure);
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS + 25);
        while(gbVoiceBusy==true);
        return;
    }
    
    
    


    if(u8Pressure>19)
    {
            // Decenas 
        u8Temporal=u8Pressure/10;
        u8Pressure=u8Pressure % 10;
        
        while(gbVoiceBusy==true);
        Voice_Play(ENGLISH_BASE_ADDRESS +u8Temporal + 13);      

        // Unidades 
        u8Pressure=u8Pressure % 10;
        if(u8Pressure!=0)
        {
            while(gbVoiceBusy==true);
            Voice_Play(ENGLISH_BASE_ADDRESS +u8Pressure);      
        }
    }
    while(gbVoiceBusy==true);
}

/*************************************************************************************/
void Voice_French_Handler(UINT8 u8Pressure)
{

    UINT8 u8Temporal;
    
    // 101
    if(u8Pressure==101)
    {
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + 28);      
        while(gbVoiceBusy==true);
        return;        
    }

    // 100
    if(u8Pressure>=100)
    {
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + 27);      
        u8Pressure-=100;
        if(u8Pressure==0)   
        {
            while(gbVoiceBusy==true);
            return;
        }

    }

    // 80's & 90's
    if(u8Pressure>79)
    {
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + 4);
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + 17);
        u8Pressure-=80;
        if(u8Pressure==0)
        {
            while(gbVoiceBusy==true);
            return;
        }
    
    }


    // 70's
    if(u8Pressure>69)
    {
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + 21);
        u8Pressure-=60;
    }

    // Between 20 and 69
    if(u8Pressure>19 && u8Pressure<70)
    {
        u8Temporal=u8Pressure / 10;
        u8Pressure=u8Pressure % 10;
        if(u8Pressure!=1)
        {
            while(gbVoiceBusy==true);
            Voice_Play(FRENCH_BASE_ADDRESS + 15 + u8Temporal);
            while(gbVoiceBusy==true);
            if(u8Pressure)
                Voice_Play(FRENCH_BASE_ADDRESS + u8Pressure);
        }
        else
        {
            while(gbVoiceBusy==true);
            Voice_Play(FRENCH_BASE_ADDRESS + 20 + u8Temporal);
        }
        while(gbVoiceBusy==true);
        return;
    }
    
    // Pressure < 19
    if(u8Pressure>16)    
    {
        u8Pressure=u8Pressure % 10;
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + 10);
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + u8Pressure);
        while(gbVoiceBusy==true);
        return;
    }

    // Pressure < 17
    if(u8Pressure<17)
    {
        while(gbVoiceBusy==true);
        Voice_Play(FRENCH_BASE_ADDRESS + u8Pressure);
        while(gbVoiceBusy==true);
        return;    
    }


}
