#ifndef __MRAM__
#define __MRAM__

/* Includes */
#include "derivative.h"
#include "MyTypes.h"



/* Please dont change */

#define DEBUG_MODE

#define ADDRESS_DDFB   PTGDD
#define ADDRESS_DDSB   PTHDD
#define CNTLDD         PTJDD

#define OUTPUT         0xFF
#define INPUT          0x00

#define ADDRESSLB      PTGD
#define ADDRESSMB      PTHD
#define CNTL           PTJD


/* Control Register Masks */
#define LOWERBYTE_MASK      PTJD_PTJD3_MASK
#define UPPERBYTE_MASK      PTJD_PTJD4_MASK
#define OUTPUTENABLE_MASK   PTJD_PTJD5_MASK
#define WRITE_ENABLE_MASK   PTJD_PTJD6_MASK
#define CHIP_ENABLE_MASK    PTJD_PTJD7_MASK

#define A16            PTJD_PTJD0
#define A17            PTJD_PTJD1
#define LOWERBYTE      PTJD_PTJD3
#define UPPERBYTE      PTJD_PTJD4
#define OUTPUTENABLE   PTJD_PTJD5
#define WRITE_ENABLE   PTJD_PTJD6
#define CHIP_ENABLE    PTJD_PTJD7


#define DATA_LOW   PTED
#define DATADD_LOW PTEDD
#define DATA_HIGH   PTFD
#define DATADD_HIGH PTFDD

#define HIGH 1
#define LOW  0


/* Definition Types */
typedef union
{
	UINT8 _byte[4];
	UINT32 _a;		
}_address;

/* Prototypes */
void   MRAM_Init(void);
UINT8  MRAM_ReadByte(void);
void   MRAM_WriteByte(UINT8);
void   MRAM_SetAddress(UINT32);


#endif /* __MRAM__*/
