// ============================================================================
//  Copyright (c)2007 Freescale Semiconductor Inc.  -- All Rights Reserved --
//
//  The code is the property of Freescale GmbH Munich
//  C&I GTM Operation
//
//  The copyright notice above does not evidence any actual or intended 
//  publication of such source code.
//
//  This software is provided by Freescale "AS IS" and any expressed or implied
//  warrenties, including, but not limited to, the implied warrenties of 
//  merchantability and fitness for a particular purpose are disclaimed.
//  In no event shall Freescale or its contributors be liable for any direct, 
//  indirect, incidental, special, examplary, or consequential damages 
//  (including, but not limited to, procurement of substitue goods or services;
//  loss of use, data, or profits; or business interruption). However caused 
//  and on any theory of liability, whether in contract, strict liability, or
//  tort (including negligence or otherwise) arising in any way out of the use 
//  of this software, even if advised of the possibility of such damage.
// 
//  ---------------------------------------------------------------------------
//
//  Filename:     $Source: $
//  Author:       $Author: r51406 $
//  Locker:       $Locker:  $
//  State:        $State: $
//  Revision:     $Revision: $
//
//  Functions:    
//
//  History:      Use the CVS command log to display revision history information.
//
//  Description:  header file with type definitions
//
//  Notes:        
//                
//
//
// ============================================================================
#ifndef MYTYPES_H        
#define MYTYPES_H
#include "SystemConfig.h"

// --------------------------------------------------------
typedef unsigned char   UINT8;                              //unsigned 8 bit definition 
typedef unsigned int    UINT16;                             //unsigned 16 bit definition
typedef unsigned long   UINT32;                             //unsigned 32 bit definition
typedef signed char     INT8;                               //signed 8 bit definition 
typedef int      		    INT16;                              //signed 16 bit definition
typedef long int    	  INT32;                              //signed 32 bit definition
typedef float          FLOAT32;     /* 32 bit Floating point definition */

/*****************************************************************************/

#define BusClk          31352377
#define SCIBaudRate     19200
#define SCIBaudRateVal  (UINT16) (BusClk/(16*SCIBaudRate))
/*                    BUSCLK               BusClk                       */
/* Baud rate = -------------------- = ------------------- = SCIBaudRate */
/*               [SBR12:SBR0] x 16    SCIBaudRateVal x 16               */
#define TPM2ModVal      12


#define GET_BIT(BitNumber, Register)        (Register & (1<<BitNumber)) >> BitNumber
#define SET_BIT(BitNumber, Register)        (Register |= (1<<BitNumber) )
#define CLR_BIT(BitNumber, Register)        (Register &= ~(1<<BitNumber) )

#define TRUE    1
#define FALSE   0

#define ARRAY_LENGTH(array)     (UINT32)( sizeof((UINT32)array)/sizeof((UINT32)array[0]) )

// --------------------------------------------------------
#define EVER         (;;) 
#define DONOTHING    {}



#if( !defined( bool))
    typedef enum boolEnum
    {
        false,
        true
    } bool;
#endif


     typedef struct
     {
          UINT8 bPrevState;
          UINT8 bActualState;
          UINT8 bNextState;
          UINT8 bNextToNextState;
          UINT8 bErrorState;
     }_sMachineState;



#endif //MYTYPES_H
