/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "RTC.h"
#include "EFIELD.h"
#include "ADC.h"

volatile UINT16 gu16Pressure, gu16HeartBeats, gu16DisplayDelay;
volatile UINT16 gu16PrematurePulsedelay;

//UINT8 EFIELDStatus;

void RTC_Init(void)
{
  RTCSC = RTCSC_RTIE_MASK | RTCSC_RTCPS3_MASK; // 1 ms RTC
  RTCMOD = 0;
}

//interrupt VectorNumber_Vrtc void RTI_ISR(void)
//{
//    RTCSC_RTIF = 1;
//    EFIELD_GetStatus();
//}


interrupt VectorNumber_Vrtc void RTC_ISR(void)
{
  
  //PTED_PTED5 = 1;
  RTCSC_RTIF = 1;
  EnableInterrupts;
  EFIELD_GetStatus();
  
  gu16PrematurePulsedelay++;
  gu16DisplayDelay++;
//  RTCSC_RTIF = 1;
  
  gu16HeartBeats= ADC_Get_Newconversion(8);
  gu16Pressure = ADC_Get_Newconversion(0);
  /* ADD in all other ADCs that may be needed here */
}
