/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "SCI.h"

/* global variables */

bool  SCI2_Interrupt;     // SCI1 Interrupt Flag
UINT8 gu8SCI2_DATA;         // SCI1 Data




void SCI2_Init(void)
{
    SCI2BD = 163;   //163->9600   28->;57600 //
    SCI2C1 = 0x00;
    SCI2C2 = SCI2C2_RIE_MASK |SCI2C2_TE_MASK |SCI2C2_RE_MASK;
    SCI2C3 = 0x00;
}
  
/*********************************************************************/
void SCI2_Send_byte(UINT8 u8CharToSend)
{
	SCI2D = u8CharToSend;
	while(!SCI2S1_TC);
}
  
/*********************************************************************/
void SCI2_Send_String(UINT8 *Array_to_send)
{
	while(*Array_to_send!=0)
	{
		SCI2D=*Array_to_send;
		Array_to_send++;
		while(!SCI2S1_TC);
	}
}

/*********************************************************************/
interrupt VectorNumber_Vsci2rx void SCI2_ISR(void)
{
    (void) SCI2S1;		            
    gu8SCI2_DATA = SCI2D;             
    SCI2_Interrupt = true;
    //Storage_FIFO_ClearAll()
}
