/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "Storage.h"

/* Macros */
//#define USB_SUPPORT_ON      SCI2C2 = SCI2C2_RIE_MASK |SCI2C2_TE_MASK |SCI2C2_RE_MASK  
//#define USB_SUPPORT_OFF     SCI2C2 = 0x00  

/* Global variables */

extern UINT8 AllSavedValues[3][5];


extern UINT8 gu8SCI2_DATA;
//extern bool SCI2_Interrupt;

/**********************************************************************************/
void Storage_USB_Manager(void)
{
    UINT8 u8Index;    
    if(gu8SCI2_DATA!='A')               // Check if Incoming data is the valid Comamand
        return;
    

    for(u8Index=1;u8Index<=15;u8Index++)
    {
        MRAM_SetAddress(DATA_BASE_ADDRESS+u8Index);                         // Get Number of stored data
        SCI2_Send_byte(MRAM_ReadByte());                    // Inc Number of Data stored 
    }

}

/**********************************************************************************/
void Storge_FIFO_Save(UINT8 u8Sistolic,UINT8 u8Diastolic,UINT8 u8Pulses)
{
    UINT8 u8Index;
    UINT8 u8TempData;
    
    u8Index=3;
    
    // Manage FIFO rotation
    while(u8Index<16)
    {
        MRAM_SetAddress(DATA_BASE_ADDRESS+u8Index);                         // Get Number of stored data
        u8TempData=MRAM_ReadByte();
        MRAM_SetAddress(DATA_BASE_ADDRESS+u8Index-3);                         // Get Number of stored data
        MRAM_WriteByte(u8TempData);                               // Inc Number of Data stored 
        u8Index++;
    }
    
    MRAM_SetAddress(DATA_BASE_ADDRESS+13);                         // Get Number of stored data
    MRAM_WriteByte(u8Sistolic);    
    MRAM_SetAddress(DATA_BASE_ADDRESS+14);                         // Get Number of stored data
    MRAM_WriteByte(u8Diastolic);    
    MRAM_SetAddress(DATA_BASE_ADDRESS+15);                         // Get Number of stored data
    MRAM_WriteByte(u8Pulses);    
}

/**********************************************************************************/
void Storage_FIFO_Restore(void)
{
    UINT8 u8Row;
    UINT8 u8Column;
    UINT8 u8Index;    
    
    u8Index=1;
    for(u8Column=0;u8Column<5;u8Column++)
    {
        for(u8Row=0;u8Row<3;u8Row++)
        {
            MRAM_SetAddress(DATA_BASE_ADDRESS+u8Index);                         // Get Number of stored data
            AllSavedValues[u8Row][u8Column]=MRAM_ReadByte();                    // Inc Number of Data stored 
            u8Index++;
        }
    }
}
/**********************************************************************************/
void Storage_FIFO_ClearAll(void)
{
    UINT8 u8Counter;
    for(u8Counter=1;u8Counter<16;u8Counter++)
    {
        MRAM_SetAddress(DATA_BASE_ADDRESS+u8Counter);                         // Get Number of stored data
        MRAM_WriteByte(0x00);
    }
}