/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "TPM.h"
  

void TPM2_Init(void)
{
  TPM2MOD = 0x200;
  TPM2C0SC = TPM2C0SC_MS0B_MASK | TPM2C0SC_ELS0B_MASK;
  TPM2C2SC = TPM2C0SC_MS0B_MASK | TPM2C0SC_ELS0B_MASK;
  TPM2C0V = 0x0;
  TPM2C2V = 0x0;
  TPM2SC = TPM2SC_CPWMS_MASK | TPM2SC_CLKSA_MASK;
}



void setM1Timer(UINT16 newtime)
{
  TPM2C0V = newtime;
}

void setM2Timer(UINT16 newtime)
{
  TPM2C2V = newtime;
}

UINT16 getM1Timer(void)
{
  return TPM2C0V;
}

UINT16 getM2Timer(void)
{
  return TPM2C2V;
}

void interrupt VectorNumber_Vtpm2ch2 Motor2(void)
{
}


void interrupt VectorNumber_Vtpm2ch0 Motor1(void)
{
}
