/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "Voice_Debug.h"


const UINT8 HEX_Value[]={"0123456789ABCDEF"};

extern UINT8 gu8SCI2_DATA;
extern bool SCI2_Interrupt;


/***********************************************/
void Voice_Play_Debug(void) 
{
    //UINT32 u8Address=0;
    //SCI2_Send_String("\r\nDebug");
    
    MRAM_SetAddress(0);
    MRAM_WriteByte(0);
//    Storge_Write(0x3030,0x3131,0x3232);
//    Storge_Write(0x4141,0x4242,0x4343);
//    Storage_USB_Handler();
}   

/***********************************************/
void Voice_HEXtoACC(UINT8 u8Data)
{
	UINT8 temp;
	//SCI2_Send_String("0x");
	temp=u8Data>>4;
	//SCI2_Send_byte(HEX_Value[temp]);
	while(!SCI2_Interrupt);										// Wait for SCI transmit
	temp=u8Data&0x0F;
	//SCI2_Send_byte(HEX_Value[temp]);
	while(!SCI2_Interrupt);										// Wait for SCI transmit
}

/***********************************************/
void Voice_HEXtoChar(UINT8 u8Data)
{
	volatile UINT8 u8Temp;
	u8Temp=u8Data/10;
	//SCI2_Send_byte(u8Temp+48);	
	while(!SCI2_Interrupt);										// Wait for SCI transmit
	u8Temp=u8Data%10;
	//SCI2_Send_byte(u8Temp+48);	
	while(!SCI2_Interrupt);										// Wait for SCI transmit
}

/***********************************************/
UINT32 Voice_ACCtoHEX(UINT8 u8Number)
{
	_address temporal;
	UINT8 u8Counter,u8Temp;
  temporal._byte[0]=0;
	for(u8Counter=1;u8Counter<=u8Number;u8Counter++)
	{
	    while(!SCI2_Interrupt);
	    //SCI2_Interrupt=false;
		  //SCI2_Send_byte(gu8SCI2_DATA);
		  if(gu8SCI2_DATA<58)
			  u8Temp=(gu8SCI2_DATA-48);
		  else
			  u8Temp=(gu8SCI2_DATA-55);
		  u8Temp=u8Temp<<4;
		
	    while(!SCI2_Interrupt);
	    //SCI2_Interrupt=false;
		  //SCI2_Send_byte(gu8SCI2_DATA);
		  if(gu8SCI2_DATA<58)
			  u8Temp+=(gu8SCI2_DATA-48);
		  else
			  u8Temp+=(gu8SCI2_DATA-55);
    	temporal._byte[u8Counter]=u8Temp;
	};
	while(!SCI2_Interrupt);										// Wait for SCI transmit
	return(temporal._a);		
}

/***********************************************/
void Debug(void)
{
	_address location;
	UINT8 u8Temp;
	do
	{
		//SCI2_Send_String("\n\r\n\r----------------DEBUG MODE----------------");
		//SCI2_Send_String("\n\rWrite.......1\n\rRead........2\n\rErase Chip..3\n\rQuit Debug..Q");
		//SCI2_Send_String("\n\r\n\rSelect an option...");
	  while(!SCI2_Interrupt);
	  //SCI2_Interrupt=false;
		switch(gu8SCI2_DATA)
		{
			case '1':
				//SCI2_Send_String("\n\rEnter Address....");		
				location._a=Voice_ACCtoHEX(3);
				//SCI2_Send_String("...Enter Data....");		
	      while(!SCI2_Interrupt);
	      //SCI2_Interrupt=false;
				//SCI2_Send_byte(gu8SCI2_DATA);		
				u8Temp=gu8SCI2_DATA;
				MRAM_SetAddress(location._a);
				MRAM_WriteByte(u8Temp);
				break;
			
			case '2':
				//SCI2_Send_String("\n\rMemory Address..");
				location._a=Voice_ACCtoHEX(3);
				//SCI2_Send_String("...");
				MRAM_SetAddress(location._a);
				u8Temp=MRAM_ReadByte();
				Voice_HEXtoACC(u8Temp);
				//SCI2_Send_String("...");
				//SCI2_Send_byte(u8Temp);
				while(!SCI2_Interrupt);
				break;
			
			case '3':
		    //SCI2_Send_String("\n\rWait for Memory Erase");
				//SCI2_Send_String("\n\rMemory Erased!!");
				break;
		};
	}while(gu8SCI2_DATA!='Q' && gu8SCI2_DATA!='q');
}
