/*  LICENCE GRANT */
/*
The Software may contain two types of programs: (i) programs enabling you to design a system 
("System Designs"), and (ii) programs that could be executed on your designed system ("System Software"). 
Your rights in these distinct programs differ. With respect to System Designs, Freescale grants to you, 
free of charge, the non-exclusive, non-transferable right to use, reproduce, and prepare derivative works 
of the System Designs for the sole purpose of designing systems that contain a programmable processing 
unit obtained directly or indirectly from Freescale ("Freescale System"). You may not distribute or 
sublicense the System Designs to others; however, you may sell Freescale Systems designed using the System 
Design. Freescale does not grant to you any rights under its patents to make, use, sell, offer to sell, or 
import systems designed using the System Designs. That is beyond the scope of this Agreement. With respect 
to System Software, Freescale grants to you, free of charge, the non-exclusive, non-ttransferable right to 
use, reproduce, prepare derivative works of the System Software, distribute the System Software and 
derivative works thereof in object (machine-readable) form only, and to sublicense to others the right to 
use the distributed System Software exclusively with Freescale Systems. You must prohibit your sublicensees 
from translating, reverse engineering, decompiling, or disassembling the System Software except to the extent 
applicable law specifically prohibits such restriction. If you violate any of the terms or restrictions of 
this Agreement, Freescale may immediately terminate this Agreement, and require that you stop using and 
delete all copies of the Software in your possession or control. You are solely responsible for systems you 
design using the Software. 
*/
#include "Menu.h"

UINT8 SelectedIndex = 0;
UINT8 PrevMenuIndexStack[3] = {0,0,0};
UINT8 SelectedIndexStack[3] = {0,0,0};

UINT8 MenuIndex = 0;
UINT8 MenuFlags = AUDIO_ON_MASK;
UINT8 Language = 0;
UINT8 StackCounter = 0;
UINT8 IndexStackCounter = 0;

UINT8 MenuIndexMin = 0;
UINT8 MenuIndexMax = 3;
UINT8 IndexOffset = 0;
UINT8 MenuUnderFlow = FALSE;

UINT8 HeartBeatDetected = TRUE;
UINT8 HeartBeatDetectedPrev = FALSE;
UINT8 ActualPressure = 0;
UINT8 DyastolicPressure = 0;
UINT8 SystolicPressure = 0;
UINT8 HeartBeat = 0;


UINT8 gu8MenuActualState = MENU_STATE_FIRST;
UINT8 gu8MenuPrevState = MENU_STATE_FIRST;

UINT8* Icons[MENU_NUMBERS][MENU_ITEMS] =
{
    { (UINT8*)0,(UINT8*)0,(UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 },
    { (UINT8*)LanguageIcon, (UINT8*)AudioOnIcon,(UINT8*)MemoryIcon,(UINT8*)ConnectivityIcon,(UINT8*)TimerIcon, (UINT8*)0 },
    { (UINT8*)USAIcon,(UINT8*)MexicoIcon,(UINT8*)FranceIcon,(UINT8*)GermanyIcon,(UINT8*)0 ,(UINT8*)0 }, 
    { (UINT8*)SaveIcon, (UINT8*)DeleteIcon, (UINT8*)LoadIcon, (UINT8*)0, (UINT8*)0 ,(UINT8*)0 },          
    { (UINT8*)USBOffIcon,(UINT8*)WirelessOffIcon,(UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 }, 
    { (UINT8*)0,(UINT8*)0,(UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 }
};


const UINT8* MenuItems[MENU_LANGUAGES][MENU_NUMBERS][MENU_ITEMS] =
{
    //Laguage = ENGLISH
    {
        //Menu 0
        { "Start", "Options", (UINT8*)0, (UINT8*)0, (UINT8*)0, (UINT8*)0 }, 
        
        //Menu 1
          //item0      //item1...
        { "Language", "Audio on/off","Memory","Connectivity","Periodic Measrmnts", (UINT8*)0}, 
            
        //Menu 2
        { "English", "Espanol", "Francais", "Deutsch", (UINT8*)0 ,(UINT8*)0 }, 

        //Menu 3    
        { "Save all On/Off", "Clear all", "Load data", (UINT8*)0, (UINT8*)0 ,(UINT8*)0 }, 

        //Menu 4    
        { "USB on/off", "Wireless on/off", (UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 }, 

        { "Off", "5 min", "10 min", "15 min", "20 min",(UINT8*)0  },
        
        //
        { "Pressure:", "Error", "Pulse:", "Data deleted" , "Data sent" , (UINT8*)0    }
    },
    

    //Language = ESPANOL    
    {

        { "Iniciar", "Opciones", (UINT8*)0, (UINT8*)0, (UINT8*)0, (UINT8*)0 }, 

        { "Idioma", "Audio enc/apag","Memoria","Conectividad","Mediciones period." ,(UINT8*)0 }, 
            
        { "English", "Espanol", "Francais", "Deutsch", (UINT8*)0 ,(UINT8*)0 }, 
        
        { "Guardar enc/apag", "Borrar todas", "Ver datos", (UINT8*)0,(UINT8*)0 ,(UINT8*)0 }, 

        { "USB enc/apag", "Wireless enc/apag", (UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 }, 

        { "Apagado", "5 min", "10 min", "15 min", "20 min" ,(UINT8*)0 },
        
        { "Presion:", "Error","Pulso:", "Datos borrados" , "Datos enviados"  ,(UINT8*)0    }
        
    },

    //Language = FRENCH    
    {

        { "Demarrer", "Options", (UINT8*)0, (UINT8*)0, (UINT8*)0, (UINT8*)0 }, 
        
        { "Langue", "Son on/off","Memoire","Connectivite","Mesure periodique" ,(UINT8*)0 }, 
            
        { "English", "Espanol", "Francais", "Deutsch", (UINT8*)0 ,(UINT8*)0 }, 
        
        { "Sauvegarder on/off", "Supprimer tout", "Voir donnees", (UINT8*)0, (UINT8*)0 ,(UINT8*)0 }, 

        { "USB on/off", "Wireless on/off", (UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 }, 

        { "Eteint", "5 min", "10 min", "15 min", "20 min" ,(UINT8*)0 },

        { "Pression:", "Erreur", "Pouls:","Donnees supprime" , "Donnees envoye"  ,(UINT8*)0    }        
        
    },

    //Laguage = DEUTSCH
    {
        //Menu 0
        { "Anfang", "Optionen", (UINT8*)0, (UINT8*)0, (UINT8*)0, (UINT8*)0 }, 
        
        //Menu 1
          //item0      //item1...
        { "Sprache", "Audio on/off","Hauptspeicher","Anschlussmoeglich.","Period.druckmessu.", (UINT8*)0}, 
            
        //Menu 2
        { "English", "Espanol", "Francais", "Deutsch", (UINT8*)0 ,(UINT8*)0 }, 

        //Menu 3    
        { "Dateispeic. On/Off", "Loeschen alles", "Erblicken daten", (UINT8*)0, (UINT8*)0 ,(UINT8*)0 }, 

        //Menu 4    
        { "USB on/off", "Wireless on/off", (UINT8*)0,(UINT8*)0,(UINT8*)0 ,(UINT8*)0 }, 

        { "Off", "5 min", "10 min", "15 min", "20 min",(UINT8*)0  },
        
        //
        { "Blutdruck:", "Abtastfehler", "Puls:", "Daten gestrichen" , "Daten geschickt" , (UINT8*)0    }
    },
    

};




const UINT8 MenuSizes[MENU_NUMBERS] = 
{
    2,
    5,
    4,
    3,
    2,
    5
};



UINT8 AllSavedValues[3][5] = 
{
    { 0, 0, 0, 0, 0},  //SystolicSavedValues
    { 0, 0, 0, 0, 0},     //DyatolicSavedValues
    { 0, 0, 0, 0, 0}      //HeartbeatSavedValues
};

UINT8 xValues[] = { 140, 100, 100 };




UINT8* ResultsGraphs[] = 
{
    (UINT8*)GraphSystolic, (UINT8*)GraphDyastolic, (UINT8*)GraphHeartBeat
}; 

 

void PaintMenu()
{
    UINT8 Index;
    
    if (MenuIndex == 0)
    {
        PaintFirstScreen();
    }
    
    
    else
    {
        //If starting with selected = 0, set default values for min and max
        if (SelectedIndex == 0)
        {
            MenuIndexMin = 0;
            MenuIndexMax = 3;        
        }
        else if (SelectedIndex > MenuIndexMax )
        {
            //if coming from an Undeflow (user pressed up arrow when first item was selected
            if (MenuUnderFlow == TRUE)
            {
                MenuIndexMax = MenuSizes[MenuIndex];
                MenuIndexMin = MenuIndexMax - 4;
                MenuUnderFlow = FALSE;
            }
            else
            {
                //if selection went down, move window limits
                MenuIndexMax++;
                MenuIndexMin++;                    
            }
        }
        else if (SelectedIndex < MenuIndexMin && MenuIndexMin > 0)
        {
            //if selection went up, decrease windows limits
            MenuIndexMax--;
            MenuIndexMin--;
        }
            
        Index = 0;
        IndexOffset = MenuIndexMin;
        
       //Paint all items from Menu  
        while ((Index<MenuSizes[MenuIndex]) && (Index<MAX_MENU_ELEMENTS))
        {
            //paint icon
            OLED_DrawImage(xIconOffset, yIconStep*Index + yIconOffset, 0, (UINT8*)Icons[MenuIndex][Index+IndexOffset]);

            
            if((Index+IndexOffset) == SelectedIndex)
            {
                //paint background for selected item
                OLED_Fill(xMenuOffset-2, yMenuStep*Index+2, 128-xMenuOffset, yMenuStep-2,0xFF);
                //paint black text for selected item
                OLED_WriteInvertedString5x7(xMenuOffset, yMenuStep*Index + yMenuOffset, 0xFF, (UINT8*)MenuItems[Language][MenuIndex][Index+IndexOffset]);
            } 
            else
            {         
                //paint background for non-selected item
                OLED_Fill(xMenuOffset-2, yMenuStep*Index+2, 128-xMenuOffset, yMenuStep-2,0x00);
                //paint white text for non-selected item
                OLED_WriteString5x7(xMenuOffset, yMenuStep*Index + yMenuOffset, 0xFF, (UINT8*)MenuItems[Language][MenuIndex][Index+IndexOffset]);                
            }
            Index++;                        
        }        
    }

}


void PaintFirstScreen()
{
    UINT8* StringPtr;
    UINT8 StrLen;

    #define SmallIconSize   24
    #define BigIconSize     48
    
    #define yHeartBig   0
    #define yHeart      10
    
    #define yOptions    10

    #define yStrPos     64-13

    
    if (SelectedIndex == 0)
    {
    
        //draw big heart
        OLED_DrawImage(CENTER_OBJ(BigIconSize,1),yHeartBig,0,(UINT8*)Heart);
        

        StringPtr = (UINT8*)(MenuItems[Language][MenuIndex][0]);
        StrLen = (UINT8) strlen(StringPtr);


        //draw selected text
        OLED_Fill(CENTER_OBJ(StrLen*6,1)-3,yStrPos-3, StrLen*6+4, 13, 0xFF);
        OLED_WriteInvertedString5x7(CENTER_OBJ(StrLen*6,1),yStrPos,0xFF,(UINT8*)MenuItems[Language][MenuIndex][0]);


        //draw small options icon
        OLED_DrawImage(CENTER_OBJ(SmallIconSize,3),yOptions,0,(UINT8*)OptionsSmall);
        

        StringPtr = (UINT8*)(MenuItems[Language][MenuIndex][1]);
        StrLen = (UINT8) strlen(StringPtr);

        //draw non-selected text
        OLED_WriteString5x7(CENTER_OBJ(StrLen*6,3),yStrPos,0xFF,(UINT8*)MenuItems[Language][MenuIndex][1]);
        
    }
    else
    {

        //draw small heart
        OLED_DrawImage(CENTER_OBJ(SmallIconSize,1),yHeart,0,(UINT8*)HeartSmall);
        
        StringPtr = (UINT8*)(MenuItems[Language][MenuIndex][0]);
        StrLen = (UINT8) strlen(StringPtr);


        //draw nonselected text
        OLED_WriteString5x7(CENTER_OBJ(StrLen*6,1),yStrPos,0xFF,(UINT8*)MenuItems[Language][MenuIndex][0]);

        
        //draw big options icon
        OLED_DrawImage(CENTER_OBJ(BigIconSize,3),yHeartBig,0,(UINT8*)Options);

        StringPtr = (UINT8*)(MenuItems[Language][MenuIndex][1]);
        StrLen = (UINT8) strlen(StringPtr);
        
        //draw selected text
        OLED_Fill(CENTER_OBJ(StrLen*6,3)-3,yStrPos-3, StrLen*6+4, 13, 0xFF);        
        OLED_WriteInvertedString5x7(CENTER_OBJ(StrLen*6,3),yStrPos,0xFF,(UINT8*)MenuItems[Language][MenuIndex][1]);

    }
}




void DisplayGraphResults(UINT8 Selector)
{
    //Selector is for display SYSTOLIC, DYASTOLIC or HEARTBEAT
    
    UINT8 i = 0;
    UINT8 x, y, h, w;
    UINT8 temp;
    
    #define xGraphSeparation  20
    #define xGraphStart       22
    #define yGraphStart       52

    #define SYSTOLIC_MAX    140
    #define SYSTOLIC_MIN    90
    
    #define DIASTOLIC_MAX   100
    #define DIASTOLIC_MIN   50
    
    #define HEARTBEAT_MAX   100
    #define HEARTBEAT_MIN   50
    
    

    
    OLED_CLEAR_SCREEN();
    OLED_DrawImage(0,0,0,ResultsGraphs[Selector]);

    for (i=0; i<SAVED_VALUES; i++)
    {        
        if ( Selector == SYSTOLIC_VALUES )
        {
            //validate pressure before saving
            if (AllSavedValues[Selector][i] > SYSTOLIC_MAX)
            {
                temp = SYSTOLIC_MAX;
            }
            else if (AllSavedValues[Selector][i] < SYSTOLIC_MIN)
            {
                temp = SYSTOLIC_MIN;
            }
            else
            {
                temp = AllSavedValues[Selector][i];
            }          
        }
        
        else if ( Selector == DYASTOLIC_VALUES )
        {
            if (AllSavedValues[Selector][i] > DIASTOLIC_MAX)
            {
                temp = DIASTOLIC_MAX;
            }

            else if (AllSavedValues[Selector][i] < DIASTOLIC_MIN)
            {
                temp = DIASTOLIC_MIN;
            }
            else
            {
                temp = AllSavedValues[Selector][i];
            }          
        }

        else if ( Selector == HEARTBEAT_VALUES )
        {
            if (AllSavedValues[Selector][i] > HEARTBEAT_MAX)
            {
                temp = HEARTBEAT_MAX;
            }
            else if (AllSavedValues[Selector][i] < HEARTBEAT_MIN)
            {
                temp = HEARTBEAT_MIN;
            }
            else
            {
                temp = AllSavedValues[Selector][i];
            }          
        }


        x = i * xGraphSeparation + xGraphStart;
        y = xValues[Selector] - temp + 2;
        
        h = 52 - y + 1;
        w = xGraphSeparation-2;
        
        OLED_Fill(x,y,w,h,0xFF);
    }    
}



void DisplayHeartBeating()
{
    #define xHeartBeatDetected  7
    #define yHeartBeatDetected  7
    #define BigHeartSize  48
    #define SmallHeartOffset  12
    #define yText1  25
    
    //OLED_CLEAR_SCREEN();
    
    if( (HeartBeatDetected == TRUE) && (HeartBeatDetectedPrev == FALSE) )
    {
        // Play Heartbit Sound
        if(IS_AUDIO_ON() == TRUE)
        {
            Voice_Play(87);
        }
        
        //draw big heart
        OLED_DrawImage(xHeartBeatDetected,yHeartBeatDetected,0,(UINT8*)Heart);
        HeartBeatDetectedPrev = TRUE;
    }
    else if ( (HeartBeatDetected == FALSE) && (HeartBeatDetectedPrev == TRUE) )
    {
        //draw small heart
        OLED_Fill(xHeartBeatDetected,yHeartBeatDetected, BigHeartSize,BigHeartSize,0x00);    //draw black rect to delete big heart
        OLED_DrawImage(xHeartBeatDetected+SmallHeartOffset,yHeartBeatDetected+SmallHeartOffset,0,(UINT8*)HeartSmall);
        HeartBeatDetectedPrev = FALSE;
    }

}
 
void DisplayActualPressure()
{
    #define IconSpacing   17
    
    //draw USB, wireless and audio icons
    OLED_DrawImage(127-(IconSpacing*3), 0,0,AUDIO_ICON);
    OLED_DrawImage(127-(IconSpacing*2), 0,0,USB_ICON);
    OLED_DrawImage(127-(IconSpacing*1), 0,0,WIRELESS_ICON);
    
    OLED_WriteString5x7(BigHeartSize+xHeartBeatDetected+10, yText1, 0xFF, (UINT8*)MenuItems[Language][MENU_EXTRAS][PRESSURE_STR]);
    ActualPressure = (UINT8)(gu16Pressure/10);
    OLED_WriteString8x15(BigHeartSize+xHeartBeatDetected+20, yText1+15, 0xFF, Byte2Str(ActualPressure));    
}


void DisplayResults()
{
    #define xResults  5
    #define yResults  4
    #define LineSpacing 20
       
    
    OLED_CLEAR_SCREEN();
    
    OLED_WriteString8x15(xResults,      yResults+LineSpacing*0, 0xCC, "Sys: ");
                              //7 is the letters in "Pulse: "
    OLED_WriteString8x15(xResults+7*8, yResults+LineSpacing*0, 0xFF, Byte2Str(SystolicPressure));
                              //25 is the pixels in 120 + 5 px
    OLED_WriteString5x7(xResults+7*8+30, yResults+LineSpacing*0+2, 0xCC, "mmHg");
    

    OLED_WriteString8x15(xResults,      yResults+LineSpacing*1, 0xCC, "Dia: ");
    OLED_WriteString8x15(xResults+7*8, yResults+LineSpacing*1, 0xFF, Byte2Str(DyastolicPressure));
    OLED_WriteString5x7(xResults+7*8+30, yResults+LineSpacing*1+2, 0xCC, "mmHg");


    OLED_WriteString8x15(xResults,      yResults+LineSpacing*2, 0xCC, (UINT8*)MenuItems[Language][MENU_EXTRAS][PULSE_STR]);
    OLED_WriteString8x15(xResults+7*8, yResults+LineSpacing*2, 0xFF, Byte2Str(HeartBeat));
    OLED_WriteString5x7(xResults+7*8+30, yResults+LineSpacing*2+2, 0xCC, "/min");    
}




void MenuDisplayError(void)
{

    UINT8* StringPtr;
    UINT8 StrLen;
        
    StringPtr = (UINT8*)(MenuItems[Language][MENU_EXTRAS][ERROR_STR]);
    StrLen = (UINT8) strlen(StringPtr);

    OLED_CLEAR_SCREEN();
    OLED_WriteString8x15(CENTER_OBJ(StrLen*8,2),32-10,0xFF, (UINT8*)MenuItems[Language][MENU_EXTRAS][ERROR_STR]);

  
}


void MenuDisplaySentOk(void)
{
    UINT8* StringPtr;
    UINT8 StrLen;
        
    StringPtr = (UINT8*)(MenuItems[Language][MENU_EXTRAS][SENT_OK_STR]);
    StrLen = (UINT8) strlen(StringPtr);

    OLED_CLEAR_SCREEN();
    OLED_WriteString5x7(CENTER_OBJ(StrLen*5,2),32-7,0xFF, (UINT8*)MenuItems[Language][MENU_EXTRAS][SENT_OK_STR]);  
}



//click actions


void vfnClickStart(void)
{
    //MenuIndex = MAIN_MENU;
    OLED_CLEAR_SCREEN();
    
    HeartBeatDetected = FALSE;
    HeartBeatDetectedPrev = TRUE;
    

    //up ramp for V1
    //pfBP = &vfnUpRmpBloodPressureStart;

    pfBP = &vfnDnRmpBloodPressureStart;    

    
    gu8MenuPrevState = gu8MenuActualState;
    
    gu8MenuActualState = MENU_STATE_MEASURING;

/*    //changed this to debug with frankie
    gu8MenuPrevState = MENU_STATE_MEASURING;
    gu8MenuActualState = MENU_STATE_RESULTS;
*/
    gu16DisplayDelay = 0;        
}

void vfnClickOptions(void)
{
    PUSH_PREV_SELECTED_INDEX(SelectedIndex);
    PUSH_PREV_INDEX(FIRST_SCREEN);    
    MenuIndex = MAIN_MENU;
    OLED_CLEAR_SCREEN();
    SelectedIndex = 0;
    PaintMenu();
}



void vfnClickLanguage(void)
{
    PUSH_PREV_SELECTED_INDEX(SelectedIndex);
    PUSH_PREV_INDEX(MAIN_MENU);
    MenuIndex = LANGUAGE_MENU;
    SelectedIndex = 0;
    PaintMenu();
}


void vfnClickAudio(void)
{
    //if audio is on, turn it off
    if(IS_AUDIO_ON() == TRUE)
    {
        CLR_BIT(AUDIO_ON, MenuFlags);    
        AUDIO_ICON = (UINT8*)AudioOffIcon;
    }
    
    else //if audio is off, turn it on
    {
        SET_BIT(AUDIO_ON, MenuFlags);    
        AUDIO_ICON = (UINT8*)AudioOnIcon;
    }
    PaintMenu();
}

void vfnClickMemory(void)
{
    PUSH_PREV_SELECTED_INDEX(SelectedIndex);
    PUSH_PREV_INDEX(MAIN_MENU);
    SelectedIndex = 0;
    MenuIndex = MEMORY_MENU;
    OLED_CLEAR_SCREEN();
    PaintMenu();
}

void vfnClickConnectivity(void)
{
    PUSH_PREV_SELECTED_INDEX(SelectedIndex);
    SelectedIndex = 0;
    PUSH_PREV_INDEX(MAIN_MENU);
    MenuIndex = CONNECTIVITY_MENU;    
    OLED_CLEAR_SCREEN();
    PaintMenu();
}

void vfnClickPeriodicMeasurements(void)
{
    PUSH_PREV_SELECTED_INDEX(SelectedIndex);
    SelectedIndex = 0;
    PUSH_PREV_INDEX(MAIN_MENU);
    MenuIndex = PERIODIC_MEASUREMENTS_MENU;    
    OLED_CLEAR_SCREEN();
    PaintMenu();
}


void vfnClickEnglish(void)
{
    Language = ENGLISH;
    POP_PREV_INDEX(MenuIndex); //go to prev menu
    POP_PREV_SELECTED_INDEX(SelectedIndex); //with selected index

    OLED_CLEAR_SCREEN();
    PaintMenu();
}

void vfnClickEspanol(void)
{
    Language = ESPANOL;
    POP_PREV_INDEX(MenuIndex); //go to prev menu
    POP_PREV_SELECTED_INDEX(SelectedIndex); //with selected index

    OLED_CLEAR_SCREEN();
    PaintMenu();
}

void vfnClickFrancoise(void)
{
    Language = FRANCOISE;
    POP_PREV_INDEX(MenuIndex); //go to prev menu
    POP_PREV_SELECTED_INDEX(SelectedIndex); //with selected index

    OLED_CLEAR_SCREEN();
    PaintMenu();
}

void vfnClickDeutsch(void)
{
    Language = DEUTSCH;
    POP_PREV_INDEX(MenuIndex); //go to prev menu
    POP_PREV_SELECTED_INDEX(SelectedIndex); //with selected index

    OLED_CLEAR_SCREEN();
    PaintMenu();
}

void vfnClickSaveAll(void)
{
    if(IS_SAVE_ALL_ON() == TRUE)
    {
        CLR_BIT(SAVE_ALL_ON, MenuFlags);    
        SAVE_ALL_ICON = (UINT8*)EmptyIcon;
    }
    
    else //if SAve all is off, turn it on
    {
        SET_BIT(SAVE_ALL_ON, MenuFlags);    
        SAVE_ALL_ICON = (UINT8*)SaveIcon;
    }
    PaintMenu();
}

void vfnClickClearAll(void)
{
    gu8MenuPrevState = gu8MenuActualState;
    gu8MenuActualState = MENU_STATE_CLEAR_DATA;
    gu16DisplayDelay = 0;     
    POP_PREV_INDEX(MenuIndex); //go to prev menu
    POP_PREV_SELECTED_INDEX(SelectedIndex); //with selected index

    OLED_CLEAR_SCREEN();    
}

//no longer exists
void vfnClickSaveOne(void)
{
}

void vfnClickLoad(void)
{
    gu8MenuPrevState = gu8MenuActualState;
    gu8MenuActualState = MENU_STATE_LOAD_RESULTS;
    POP_PREV_INDEX(MenuIndex); //go to prev menu
    POP_PREV_SELECTED_INDEX(SelectedIndex); //with selected index

    OLED_CLEAR_SCREEN();    
}

void vfnClickUSB(void)
{
    //if USB is on, turn it off
    if(IS_USB_ON() == TRUE)
    {
        CLR_BIT(USB_ON, MenuFlags);    
        USB_ICON = (UINT8*)USBOffIcon;
    }
    
    else //if USB is off, turn it on
    {
        SET_BIT(USB_ON, MenuFlags);    
        USB_ICON = (UINT8*)USBOnIcon;
    }
    PaintMenu();
    
}

void vfnClickWireless(void)
{
    //if Wireless is on, turn it off
    if(IS_WIRELESS_ON() == TRUE)
    {
        CLR_BIT(WIRELESS_ON, MenuFlags);    
        WIRELESS_ICON = (UINT8*)WirelessOffIcon;
    }
    
    else //if Wireless is off, turn it on
    {
        SET_BIT(WIRELESS_ON, MenuFlags);    
        WIRELESS_ICON = (UINT8*)WirelessOnIcon;
    }    
    PaintMenu();
}

void vfnClickTimerOff(void)
{
    
}

void vfnClickTimer5min(void)
{
    
}

void vfnClickTimer10min(void)
{
    
}

void vfnClickTimer15min(void)
{
    
}   

void vfnClickTimer20min(void)
{
    
}


void vfnClickDummyFunction(void)
{
    
}



void (*const ClickAction[MENU_NUMBERS][MENU_ITEMS])(void)=
{
    { vfnClickStart,     vfnClickOptions,    vfnClickDummyFunction,vfnClickDummyFunction,  vfnClickDummyFunction,         vfnClickDummyFunction},
    { vfnClickLanguage,  vfnClickAudio,       vfnClickMemory,      vfnClickConnectivity,    vfnClickPeriodicMeasurements,  vfnClickDummyFunction  },
    { vfnClickEnglish,   vfnClickEspanol,     vfnClickFrancoise,   vfnClickDeutsch,         vfnClickDummyFunction,      vfnClickDummyFunction},     
    { vfnClickSaveAll,   vfnClickClearAll,    vfnClickLoad,         vfnClickDummyFunction,  vfnClickDummyFunction ,     vfnClickDummyFunction}, 
    { vfnClickUSB,       vfnClickWireless,    vfnClickDummyFunction, vfnClickDummyFunction, vfnClickDummyFunction,      vfnClickDummyFunction},              
    { vfnClickTimerOff,  vfnClickTimer5min,   vfnClickTimer10min,  vfnClickTimer15min,      vfnClickTimer20min ,        vfnClickDummyFunction}

};



//Icons images  

// -----------------------------------------------------------------------------
const UINT8 AdvancedIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x14, 0x44, 0x42, 0x00, 0x00, 0x00, 
0x00, 0x05, 0xCD, 0xD6, 0x91, 0x00, 0x00, 
0x00, 0x00, 0x2B, 0xD8, 0x79, 0x00, 0x00, 
0x00, 0x00, 0x37, 0xBD, 0xB8, 0x51, 0x00, 
0x00, 0x03, 0x97, 0x3C, 0xB9, 0xD9, 0x00, 
0x00, 0x39, 0x85, 0x27, 0x8C, 0xC7, 0x10, 
0x03, 0x98, 0x53, 0x02, 0xBB, 0x30, 0x00, 
0x39, 0x85, 0x30, 0x00, 0x96, 0x00, 0x00, 
0x98, 0x53, 0x00, 0x00, 0x12, 0x00, 0x00, 
0x85, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};



//Advanced Menu Icons images

// -----------------------------------------------------------------------------
const UINT8 LanguageIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x02, 0x7A, 0xB9, 0x53, 0x00, 0x00, 
0x00, 0x6D, 0xDC, 0xCA, 0x86, 0x31, 0x00, 
0x07, 0xFE, 0xED, 0xDB, 0x96, 0x44, 0x20, 
0x2E, 0xFF, 0xFE, 0xCB, 0x98, 0x9B, 0x50, 
0x7E, 0xFF, 0xFD, 0xCA, 0x86, 0x48, 0x52, 
0xAC, 0xFD, 0xEC, 0xB9, 0x75, 0x36, 0xE6, 
0x9A, 0xCE, 0xDD, 0xB8, 0x64, 0x33, 0xE8, 
0x78, 0x9A, 0xDC, 0xC9, 0x53, 0x34, 0xF8, 
0x46, 0x77, 0x8F, 0xFF, 0xC6, 0x33, 0xB4, 
0x14, 0x45, 0x8F, 0xFF, 0xEB, 0x43, 0x30, 
0x02, 0x33, 0x3A, 0xEE, 0xC5, 0x33, 0x20, 
0x00, 0x23, 0x34, 0xCC, 0x73, 0x32, 0x00, 
0x00, 0x01, 0x36, 0x84, 0x33, 0x10, 0x00, 
0x00, 0x00, 0x01, 0x11, 0x00, 0x00, 0x00, 
};



// -----------------------------------------------------------------------------
const UINT8 AudioOnIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x02, 0x58, 0x00, 0x22, 0x00, 
0x00, 0x00, 0x2B, 0xAF, 0x54, 0x20, 0x00, 
0x00, 0x02, 0xB9, 0xDF, 0x90, 0x00, 0x00, 
0x01, 0x2B, 0xD7, 0xDF, 0xC1, 0x35, 0x20, 
0x6B, 0xAF, 0xF6, 0xCF, 0xE2, 0x10, 0x00, 
0xCC, 0xDE, 0xE6, 0xC9, 0xE2, 0x00, 0x00, 
0xBB, 0xBC, 0xC6, 0xC8, 0xE2, 0x45, 0x32, 
0x9A, 0xAC, 0xC5, 0x6D, 0xE2, 0x00, 0x00, 
0x01, 0x2A, 0xC6, 0xCF, 0xE2, 0x43, 0x00, 
0x00, 0x02, 0x87, 0xDF, 0xA0, 0x01, 0x20, 
0x00, 0x00, 0x26, 0xCF, 0x81, 0x00, 0x00, 
0x00, 0x00, 0x02, 0x6D, 0x22, 0x51, 0x00, 
0x00, 0x00, 0x00, 0x01, 0x00, 0x01, 0x10, 
};


// -----------------------------------------------------------------------------
const UINT8 AudioOffIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 
0x00, 0xFF, 0x02, 0x58, 0x00, 0xFF, 0x00, 
0x0F, 0xF0, 0x2B, 0xAF, 0x54, 0x2F, 0xF0, 
0x0F, 0x02, 0xB9, 0xDF, 0x90, 0xFF, 0xF0, 
0xF1, 0x2B, 0xD7, 0xDF, 0xCF, 0xF5, 0x2F, 
0xFB, 0xAF, 0xF6, 0xCF, 0xFF, 0x10, 0x0F, 
0xFC, 0xDE, 0xE6, 0xCF, 0xF2, 0x00, 0x0F, 
0xFB, 0xBC, 0xC6, 0xFF, 0xE2, 0x45, 0x3F, 
0xFA, 0xAC, 0xCF, 0xFD, 0xE2, 0x00, 0x0F, 
0xF1, 0x2A, 0xFF, 0xCF, 0xE2, 0x43, 0x0F, 
0x0F, 0x0F, 0xF7, 0xDF, 0xA0, 0x01, 0xF0, 
0x0F, 0xFF, 0xF6, 0xCF, 0x81, 0x0F, 0xF0, 
0x00, 0xFF, 0x02, 0x6D, 0x22, 0xFF, 0x00, 
0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
};


// -----------------------------------------------------------------------------
const UINT8 MemoryIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x04, 0xAB, 0x30, 0x00, 
0x00, 0x00, 0x04, 0x9C, 0xCC, 0xB3, 0x00, 
0x00, 0x04, 0x9B, 0xCC, 0xCC, 0xCB, 0x30, 
0x04, 0x9B, 0xCC, 0xCC, 0xCC, 0xCB, 0x90, 
0x8C, 0xCC, 0xCC, 0xCC, 0xCB, 0x99, 0x50, 
0x79, 0xAA, 0xCC, 0xCB, 0x97, 0x6F, 0x70, 
0x15, 0x9A, 0xCB, 0x97, 0x6F, 0x7F, 0x40, 
0x00, 0x2A, 0xB6, 0x4F, 0x5F, 0x30, 0x00, 
0x00, 0x06, 0x8F, 0x1F, 0x11, 0x00, 0x00, 
0x00, 0x00, 0x2F, 0x01, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 ConnectivityIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x4A, 0x61, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x3F, 0xFD, 0x40, 0x02, 0x60, 0x00, 
0x00, 0x3B, 0xFF, 0xF3, 0x06, 0x40, 0x00, 
0x00, 0x48, 0xEF, 0xF8, 0x20, 0x00, 0x00, 
0x00, 0x0C, 0x5E, 0x89, 0xE4, 0x00, 0x00, 
0x00, 0x08, 0xD3, 0x9F, 0xFF, 0x30, 0x00, 
0x00, 0x04, 0xFD, 0x5F, 0xFF, 0xF0, 0x00, 
0x00, 0x47, 0xAF, 0xD5, 0xEF, 0xFA, 0x00, 
0x00, 0x3F, 0x88, 0xFD, 0x8C, 0xFF, 0x30, 
0x00, 0x04, 0xFC, 0x24, 0x74, 0x47, 0x20, 
0x00, 0x00, 0x5F, 0xD1, 0x00, 0x00, 0x00, 
0x00, 0x04, 0x58, 0x86, 0x55, 0x20, 0x00, 
0x00, 0x28, 0x88, 0x88, 0x88, 0x70, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 TimerIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0xC0, 0x8C, 0xCC, 0xC8, 0x00, 0x80, 
0x00, 0x0C, 0xFF, 0xFF, 0xFF, 0xC8, 0x00, 
0x00, 0x8F, 0x0F, 0xFF, 0xFF, 0xFC, 0x00, 
0x00, 0xCF, 0xF0, 0xFF, 0xFF, 0xFF, 0x80, 
0x08, 0xFF, 0xFF, 0x0C, 0xFF, 0xFF, 0xC0, 
0x08, 0xFF, 0xFF, 0xC0, 0xFF, 0xFF, 0xC0, 
0x08, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 
0x00, 0xCF, 0xF0, 0xFF, 0xFF, 0xFF, 0x80, 
0x00, 0x8F, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 
0x00, 0x08, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 
0x00, 0x00, 0x8C, 0xCC, 0xC8, 0x00, 0x00, 
};




// -----------------------------------------------------------------------------
const UINT8 MexicoIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x65, 0x56, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x65, 0x56, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x65, 0x56, 0x6F, 0xA6, 0x95, 0x55, 0x55, 
0x65, 0x56, 0x6D, 0x63, 0xC5, 0x55, 0x55, 
0x65, 0x56, 0x6C, 0x76, 0xB5, 0x55, 0x55, 
0x65, 0x56, 0x6F, 0xEE, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 USAIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x66, 0x66, 0x66, 0x55, 0x55, 0x55, 0x55, 
0x66, 0x66, 0x66, 0xFF, 0xFF, 0xFF, 0xFF, 
0x66, 0x66, 0x66, 0x55, 0x55, 0x55, 0x55, 
0x66, 0x66, 0x66, 0xFF, 0xFF, 0xFF, 0xFF, 
0x66, 0x66, 0x66, 0x55, 0x55, 0x55, 0x55, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 FranceIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x66, 0x66, 0x6F, 0xFF, 0xF5, 0x55, 0x55, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 GermanyIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 
0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 
0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 
0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};



const UINT8 EmptyIcon[] =
{
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};

              
const UINT8 SaveIcon[] =
{
14, 14,              //Imagesize width x height (in pixel)
0x65, 0x7D, 0xBA, 0xB9, 0x6B, 0x64, 0x40, 
0x65, 0x7C, 0xAB, 0xC9, 0x6D, 0x64, 0x43, 
0x65, 0x7C, 0xBC, 0xD9, 0x6D, 0x64, 0x43, 
0x65, 0x7C, 0xBC, 0xCA, 0xBC, 0x64, 0x43, 
0x55, 0x77, 0x66, 0x66, 0x66, 0x54, 0x43, 
0x55, 0x54, 0x44, 0x44, 0x44, 0x44, 0x43, 
0x54, 0x67, 0x77, 0x77, 0x77, 0x76, 0x43, 
0x54, 0xBF, 0xFF, 0xFF, 0xFF, 0xF9, 0x53, 
0x54, 0xCF, 0xFF, 0xFF, 0xFF, 0xFA, 0x53, 
0x54, 0xCF, 0xFF, 0xFF, 0xFF, 0xFA, 0x52, 
0x44, 0xCF, 0xFF, 0xFF, 0xFF, 0xFA, 0x52, 
0x44, 0xCF, 0xFF, 0xFF, 0xFF, 0xFA, 0x52, 
0x44, 0xCF, 0xFF, 0xFF, 0xFF, 0xF9, 0x52, 
0x43, 0xBD, 0xDD, 0xDD, 0xDD, 0xD9, 0x42, 
};

//const UINT8 EmptyIcon[] =

// -----------------------------------------------------------------------------
const UINT8 DeleteIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x23, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x3A, 0x83, 0x20, 0x00, 0x00, 0x00, 0x00, 
0x38, 0xB8, 0x30, 0x00, 0x04, 0x52, 0x20, 
0x24, 0x9B, 0x72, 0x02, 0x59, 0x85, 0x20, 
0x02, 0x49, 0xA6, 0x37, 0x99, 0x84, 0x20, 
0x00, 0x23, 0x9A, 0xAA, 0x87, 0x42, 0x00, 
0x00, 0x02, 0x6B, 0xBA, 0x73, 0x20, 0x00, 
0x00, 0x04, 0x9A, 0xBB, 0x62, 0x00, 0x00, 
0x00, 0x49, 0xAA, 0x89, 0xA5, 0x20, 0x00, 
0x24, 0x9B, 0xA6, 0x33, 0x9A, 0x52, 0x20, 
0x27, 0xBB, 0x73, 0x02, 0x38, 0xA6, 0x22, 
0x26, 0x99, 0x42, 0x00, 0x23, 0x78, 0x42, 
0x22, 0x44, 0x20, 0x00, 0x02, 0x34, 0x32, 
0x22, 0x22, 0x00, 0x00, 0x00, 0x22, 0x22, 
};


// -----------------------------------------------------------------------------
const UINT8 SaveOneIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x66, 0xDA, 0xA7, 0xA5, 0x20, 0x00, 0x00, 
0x66, 0xCB, 0xB7, 0xB4, 0x40, 0x00, 0x00, 
0x66, 0xBB, 0xBA, 0xA4, 0x40, 0x00, 0x00, 
0x55, 0x55, 0x54, 0x44, 0x30, 0x00, 0x00, 
0x56, 0x99, 0x99, 0x97, 0x40, 0x00, 0x00, 
0x59, 0xFF, 0xFF, 0xFA, 0x40, 0x0F, 0x00, 
0x59, 0xFF, 0xFF, 0xFA, 0x40, 0x0F, 0x00, 
0x49, 0xFF, 0xFF, 0xFA, 0x40, 0xFF, 0x00, 
0x48, 0xEE, 0xEE, 0xEA, 0x30, 0x0F, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};

// -----------------------------------------------------------------------------
const UINT8 LoadIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xAB, 0xBB, 0x00, 0x00, 0x00, 0x00, 
0x0A, 0xDD, 0xDC, 0xA0, 0x00, 0x00, 0x00, 
0x0B, 0xDD, 0xDC, 0xBA, 0xAA, 0x90, 0x00, 
0x0A, 0xDD, 0xBA, 0xAA, 0xAA, 0x99, 0xAA, 
0x0A, 0xDC, 0xAC, 0xCC, 0xCC, 0xBB, 0xA9, 
0x0A, 0xCA, 0xBC, 0xBB, 0xBB, 0xA9, 0x70, 
0x0A, 0xBA, 0xCB, 0xBB, 0xAA, 0x97, 0x80, 
0x09, 0xAB, 0xBB, 0xBA, 0xA9, 0x75, 0xA0, 
0x09, 0xA9, 0x98, 0x88, 0x77, 0x66, 0x00, 
0x08, 0x87, 0x65, 0x44, 0x32, 0x27, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


/////////////////////////////////////////////////////


// -----------------------------------------------------------------------------
const UINT8 USBOnIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0xEF, 0x00, 0x00, 
0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0xEF, 0xE0, 0x0F, 0x00, 0x00, 0x00, 0xF5, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0xEF, 0xE0, 0x00, 0x0F, 0x00, 0x00, 0xF5, 
0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 USBOffIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x49, 0xBB, 0xA6, 0x00, 0x00, 
0x00, 0x1C, 0xB6, 0x44, 0x59, 0xD2, 0x00, 
0x01, 0xC3, 0x00, 0x00, 0x99, 0x2C, 0x30, 
0x0C, 0x30, 0x00, 0x09, 0x89, 0x02, 0xD0, 
0x5A, 0x00, 0x00, 0x90, 0x00, 0x39, 0x86, 
0xDB, 0x80, 0x09, 0x00, 0x18, 0xC2, 0xAC, 
0xFA, 0x99, 0x99, 0x9C, 0xFC, 0x99, 0x9F, 
0xFA, 0x80, 0x03, 0xCD, 0x10, 0x00, 0x9F, 
0xC3, 0x01, 0x9C, 0x30, 0x90, 0x00, 0x1E, 
0x68, 0x6D, 0x60, 0x00, 0x09, 0x90, 0x69, 
0x0B, 0x91, 0x00, 0x00, 0x09, 0x90, 0xC3, 
0x04, 0xB1, 0x00, 0x00, 0x00, 0x09, 0x60, 
0x00, 0x4C, 0x61, 0x00, 0x05, 0xC6, 0x00, 
0x00, 0x02, 0x9E, 0xFF, 0xFA, 0x30, 0x00, 
};



// -----------------------------------------------------------------------------
const UINT8 WirelessOnIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x02, 0x8B, 0x00, 0xB8, 0x30, 0x00, 
0x01, 0xAD, 0x84, 0x00, 0x47, 0xCB, 0x20, 
0x3C, 0x50, 0x00, 0x00, 0x00, 0x04, 0xC4, 
0xC2, 0x00, 0x18, 0x00, 0x92, 0x00, 0x1C, 
0x70, 0x02, 0xC0, 0x00, 0x0C, 0x30, 0x05, 
0x30, 0x0B, 0x40, 0x99, 0x02, 0xD0, 0x00, 
0x10, 0x0D, 0x20, 0xEF, 0x01, 0xE0, 0x00, 
0x50, 0x04, 0xB0, 0xFE, 0x09, 0x70, 0x03, 
0xC0, 0x00, 0x50, 0xEF, 0x06, 0x00, 0x09, 
0x6A, 0x10, 0x00, 0xFE, 0x00, 0x00, 0x88, 
0x05, 0xD8, 0x00, 0xDF, 0x00, 0x0D, 0x70, 
0x00, 0x17, 0x00, 0xFE, 0x00, 0x02, 0x00, 
0x00, 0x00, 0x00, 0xEF, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0xDD, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 WirelessOffIcon[] = {
14, 14,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x7D, 0xBB, 0xD8, 0x00, 0x00, 
0x00, 0x7E, 0xC6, 0x44, 0x5B, 0xE9, 0x00, 
0x09, 0xD3, 0x00, 0x00, 0x00, 0x2C, 0x90, 
0x9C, 0x30, 0x04, 0x00, 0x50, 0x19, 0xD9, 
0x7A, 0x00, 0x80, 0x00, 0x09, 0xB3, 0x87, 
0xA5, 0x08, 0x00, 0x66, 0x3C, 0xB0, 0x3C, 
0xD2, 0x09, 0x00, 0xAD, 0xB2, 0xB0, 0x0F, 
0xE1, 0x00, 0x70, 0xDE, 0x16, 0x30, 0x0F, 
0xE3, 0x00, 0x17, 0xEC, 0x02, 0x00, 0x1F, 
0x8C, 0x00, 0x88, 0xCA, 0x00, 0x00, 0x9B, 
0x0E, 0xAB, 0x80, 0x9C, 0x00, 0x09, 0xD3, 
0x04, 0xE8, 0x00, 0xCA, 0x00, 0x09, 0x60, 
0x00, 0x4C, 0x61, 0xAC, 0x05, 0xC6, 0x00, 
0x00, 0x02, 0x9E, 0xFF, 0xFA, 0x30, 0x00, 
};



// -----------------------------------------------------------------------------
const UINT8 Heart[] = {
48, 48,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x33, 0x33, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x23, 0x33, 0x32, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x13, 0x56, 0x78, 0x88, 0x87, 0x52, 0x00, 0x00, 0x00, 0x02, 0x35, 0x77, 0x88, 0x88, 0x75, 0x20, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x14, 0x67, 0x87, 0x77, 0x77, 0x89, 0x99, 0x52, 0x00, 0x01, 0x46, 0x88, 0x77, 0x77, 0x88, 0x9A, 0x95, 0x20, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x02, 0x57, 0x76, 0x55, 0x55, 0x55, 0x56, 0x89, 0xA7, 0x31, 0x25, 0x77, 0x65, 0x55, 0x55, 0x56, 0x78, 0xAA, 0x73, 0x10, 0x00, 0x00, 
0x00, 0x00, 0x26, 0x76, 0x55, 0x66, 0x66, 0x66, 0x65, 0x57, 0x9A, 0x74, 0x67, 0x65, 0x56, 0x65, 0x55, 0x55, 0x55, 0x89, 0xA8, 0x31, 0x00, 0x00, 
0x00, 0x01, 0x68, 0x65, 0x66, 0x76, 0x66, 0x77, 0x76, 0x65, 0x69, 0x98, 0x75, 0x56, 0x67, 0x66, 0x54, 0x34, 0x66, 0x47, 0x9B, 0x83, 0x10, 0x00, 
0x00, 0x15, 0x86, 0x56, 0x77, 0x66, 0x56, 0x66, 0x66, 0x76, 0x56, 0x88, 0x55, 0x67, 0x66, 0x66, 0x66, 0x55, 0x66, 0x65, 0x79, 0xB7, 0x20, 0x00, 
0x00, 0x37, 0x64, 0x66, 0x66, 0x66, 0x33, 0x55, 0x66, 0x66, 0x65, 0x65, 0x56, 0x66, 0x64, 0x45, 0x66, 0x66, 0x53, 0x56, 0x58, 0xAB, 0x52, 0x00, 
0x01, 0x57, 0x45, 0x66, 0x65, 0x54, 0x21, 0x35, 0x66, 0x66, 0x65, 0x44, 0x66, 0x66, 0x42, 0x33, 0x56, 0x66, 0x43, 0x36, 0x56, 0x9B, 0x83, 0x10, 
0x03, 0x76, 0x45, 0x55, 0x55, 0x54, 0x22, 0x45, 0x55, 0x55, 0x55, 0x45, 0x55, 0x55, 0x42, 0x23, 0x45, 0x55, 0x53, 0x24, 0x54, 0x8B, 0xA5, 0x20, 
0x04, 0x85, 0x45, 0x55, 0x55, 0x54, 0x34, 0x34, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x43, 0x23, 0x44, 0x55, 0x54, 0x23, 0x54, 0x7A, 0xB7, 0x30, 
0x16, 0x84, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x43, 0x33, 0x34, 0x44, 0x44, 0x22, 0x44, 0x59, 0xC8, 0x41, 
0x16, 0x74, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x12, 0x33, 0x49, 0xC9, 0x41, 
0x26, 0x74, 0x32, 0x24, 0x44, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x11, 0x33, 0x49, 0xCA, 0x52, 
0x27, 0x84, 0x43, 0x34, 0x55, 0x54, 0x43, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x34, 0x22, 0x44, 0x49, 0xCA, 0x52, 
0x17, 0x84, 0x44, 0x44, 0x45, 0x55, 0x44, 0x42, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x34, 0x44, 0x23, 0x54, 0x6A, 0xC9, 0x52, 
0x16, 0x95, 0x44, 0x23, 0x44, 0x44, 0x44, 0x44, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x23, 0x44, 0x43, 0x24, 0x43, 0x7B, 0xC8, 0x41, 
0x05, 0x87, 0x34, 0x22, 0x34, 0x44, 0x44, 0x44, 0x43, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x34, 0x44, 0x42, 0x24, 0x44, 0x8B, 0xB7, 0x41, 
0x03, 0x89, 0x53, 0x32, 0x24, 0x44, 0x44, 0x44, 0x44, 0x43, 0x32, 0x22, 0x22, 0x22, 0x22, 0x33, 0x44, 0x44, 0x32, 0x34, 0x36, 0x9C, 0x96, 0x30, 
0x01, 0x79, 0x83, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x23, 0x33, 0x48, 0xBC, 0x75, 0x20, 
0x00, 0x49, 0x97, 0x33, 0x22, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x33, 0x34, 0x8B, 0xD9, 0x63, 0x10, 
0x00, 0x16, 0xA9, 0x74, 0x32, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x48, 0xAC, 0xA7, 0x42, 0x00, 
0x00, 0x02, 0x7A, 0x97, 0x53, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x35, 0x8A, 0xCB, 0x85, 0x20, 0x00, 
0x00, 0x00, 0x28, 0xAA, 0x97, 0x32, 0x22, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x22, 0x12, 0x33, 0x33, 0x24, 0x79, 0xBC, 0xA8, 0x53, 0x10, 0x00, 
0x00, 0x00, 0x01, 0x69, 0xAA, 0x85, 0x32, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x12, 0x22, 0x23, 0x69, 0xAC, 0xC9, 0x75, 0x31, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x13, 0x8A, 0xA9, 0x74, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x48, 0xAB, 0xCB, 0x76, 0x42, 0x10, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x25, 0x9A, 0xA9, 0x63, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x36, 0x9B, 0xCB, 0x97, 0x53, 0x10, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x01, 0x37, 0xAA, 0x97, 0x42, 0x22, 0x22, 0x22, 0x22, 0x22, 0x25, 0x8A, 0xCC, 0xA8, 0x64, 0x21, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x49, 0xBA, 0x97, 0x31, 0x11, 0x11, 0x11, 0x13, 0x79, 0xBC, 0xB8, 0x65, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x6A, 0xAA, 0x95, 0x21, 0x11, 0x12, 0x69, 0xAC, 0xC9, 0x75, 0x32, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x8A, 0xA9, 0x74, 0x22, 0x48, 0xAB, 0xCB, 0x86, 0x42, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x9A, 0xA8, 0x66, 0x9B, 0xCB, 0x97, 0x53, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x38, 0xAA, 0x9A, 0xCC, 0xA8, 0x64, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x59, 0xBC, 0xB8, 0x65, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13, 0x78, 0x65, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0x32, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};

// -----------------------------------------------------------------------------
const UINT8 HeartSmall[] = {
24, 24,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x13, 0x56, 0x42, 0x00, 0x00, 0x25, 0x65, 0x30, 0x00, 0x00, 
0x00, 0x04, 0x76, 0x66, 0x79, 0x61, 0x26, 0x76, 0x67, 0x88, 0x30, 0x00, 
0x00, 0x56, 0x66, 0x66, 0x65, 0x87, 0x65, 0x66, 0x54, 0x57, 0xA4, 0x00, 
0x04, 0x66, 0x66, 0x45, 0x66, 0x57, 0x56, 0x55, 0x66, 0x55, 0x7A, 0x20, 
0x16, 0x56, 0x54, 0x24, 0x56, 0x54, 0x65, 0x33, 0x55, 0x44, 0x5A, 0x70, 
0x36, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x33, 0x44, 0x42, 0x48, 0x92, 
0x46, 0x33, 0x43, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x31, 0x37, 0xB3, 
0x46, 0x44, 0x54, 0x43, 0x22, 0x22, 0x22, 0x22, 0x23, 0x42, 0x47, 0xB3, 
0x37, 0x42, 0x44, 0x44, 0x32, 0x22, 0x22, 0x22, 0x34, 0x33, 0x49, 0x93, 
0x18, 0x53, 0x34, 0x44, 0x43, 0x32, 0x22, 0x33, 0x43, 0x23, 0x5B, 0x71, 
0x05, 0x94, 0x23, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x35, 0xAA, 0x40, 
0x00, 0x79, 0x62, 0x23, 0x33, 0x33, 0x32, 0x23, 0x33, 0x6B, 0xA5, 0x10, 
0x00, 0x05, 0x98, 0x42, 0x22, 0x22, 0x22, 0x22, 0x49, 0xB9, 0x41, 0x00, 
0x00, 0x00, 0x27, 0xA6, 0x22, 0x22, 0x22, 0x37, 0xBA, 0x63, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x49, 0x94, 0x21, 0x25, 0x9B, 0x84, 0x10, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x01, 0x6A, 0x74, 0x8B, 0xA6, 0x20, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x03, 0x9B, 0xB7, 0x41, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};



// -----------------------------------------------------------------------------
const UINT8 Options[] = {
48, 48,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xA8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0A, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xA8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0A, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBA, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x00, 
0xAB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xB8, 0x80, 
0xBB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBB, 0xBB, 0xBB, 0xB9, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBD, 0xFF, 0xFF, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBF, 0xDB, 0xCB, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBF, 0xDB, 0xCB, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBF, 0xDB, 0xCB, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCB, 0xBB, 0xBB, 0xBB, 0xCC, 0xBF, 0xDB, 0xCB, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xBB, 0xB9, 0xCC, 0xCC, 0xCB, 0xBF, 0xFF, 0xFF, 0xFD, 0x99, 0x7F, 0xDB, 0xCB, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xFF, 0xBB, 0x7C, 0xCC, 0xBF, 0xFE, 0xEE, 0xEE, 0xEE, 0xED, 0x7B, 0xDB, 0xCB, 0x83, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xFE, 0xEB, 0xB7, 0x77, 0xFF, 0xED, 0xDD, 0xDD, 0xDD, 0xDD, 0xB8, 0xBB, 0xC8, 0x53, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xFD, 0xC9, 0xCC, 0xEE, 0xDD, 0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCB, 0x89, 0x85, 0x3C, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xFD, 0xC9, 0xBB, 0xBB, 0xCC, 0xCC, 0xCB, 0xBB, 0xBB, 0xBB, 0xCC, 0xB8, 0x53, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xDB, 0xB9, 0x99, 0x99, 0xBC, 0xCC, 0xB9, 0x85, 0x55, 0x55, 0x88, 0xCB, 0x73, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0xCC, 0xB5, 0x53, 0x35, 0x9B, 0xCB, 0x98, 0x53, 0x33, 0x33, 0x55, 0x8B, 0xB3, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0x99, 0x55, 0x3C, 0xC3, 0x59, 0xB9, 0x95, 0x3C, 0xCC, 0xCC, 0x33, 0x55, 0x85, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCB, 0x33, 0x33, 0xCC, 0xCC, 0x35, 0xD9, 0x83, 0xCC, 0xCC, 0xCC, 0xC5, 0x33, 0x55, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC5, 0xD9, 0x83, 0xCC, 0xCC, 0xCC, 0xC5, 0x85, 0x35, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC5, 0xD9, 0x83, 0xCC, 0xCC, 0xCC, 0xC5, 0x98, 0x53, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC5, 0xD9, 0x83, 0xCC, 0xCC, 0xCC, 0xC5, 0x98, 0x53, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC5, 0xD9, 0x83, 0xCC, 0xCC, 0xCC, 0xC5, 0x98, 0x53, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xC5, 0xD9, 0x83, 0xCC, 0xCC, 0xCC, 0xC5, 0x98, 0x53, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xD6, 0x44, 0xCC, 0xCC, 0xCC, 0xCA, 0xA9, 0x44, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xA6, 0x44, 0x8C, 0xCC, 0xCC, 0xCA, 0x96, 0x44, 0x8C, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xAB, 0xA6, 0x44, 0x38, 0xCC, 0xCC, 0xAD, 0x96, 0x44, 0x38, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xBA, 0x88, 0x55, 0x32, 0xCC, 0xCA, 0xD9, 0x99, 0x66, 0x31, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xB8, 0x66, 0x44, 0x32, 0xCC, 0xCA, 0xD9, 0x96, 0x44, 0x31, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xB8, 0x66, 0x44, 0x32, 0xCC, 0xCA, 0xD9, 0x96, 0x44, 0x31, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xB8, 0x66, 0x44, 0x32, 0xCC, 0xCA, 0xD9, 0x96, 0x44, 0x31, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCA, 0xB8, 0x66, 0x44, 0x32, 0xCC, 0xCA, 0xD9, 0x96, 0x44, 0x31, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0xBF, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCF, 0x86, 
0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x86, 
0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};



// -----------------------------------------------------------------------------
const UINT8 OptionsSmall[] = {
24, 24,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x02, 0xBB, 0xBB, 0xBB, 0xA2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x2B, 0xBB, 0xBB, 0xBB, 0xBA, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xBB, 0xA2, 
0xCD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xBD, 0xD8, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xDC, 0xB5, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xDC, 0xB5, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xDA, 0xBC, 0xCE, 0xFF, 0xEB, 0xAC, 0xB5, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xEB, 0xAA, 0xED, 0xCC, 0xCC, 0xAA, 0x86, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xDA, 0xAA, 0xBC, 0xA9, 0x88, 0xAA, 0x4C, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xA7, 0x66, 0x8A, 0x86, 0x88, 0x47, 0x7C, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0x88, 0xCC, 0x6B, 0x5C, 0xCC, 0x95, 0x5C, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0x9B, 0x5C, 0xCC, 0x98, 0x4C, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0x9B, 0x5C, 0xCC, 0x98, 0x4C, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0xB9, 0x4B, 0xCC, 0xB9, 0x4B, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0xB8, 0x44, 0xCC, 0xB8, 0x53, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCB, 0xA6, 0x42, 0xCB, 0xB8, 0x42, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCB, 0xA6, 0x42, 0xCB, 0xB8, 0x42, 0xCC, 0xCC, 0xD7, 
0xDC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xCC, 0xD7, 
0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x77, 0x76, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};


// -----------------------------------------------------------------------------
const UINT8 GraphSystolic[] = {
128, 64,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x03, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x21, 0x00, 0x00, 0x00, 
0x0F, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x00, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xF0, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x00, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xF0, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x0F, 0xFF, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0xFF, 0xFF, 0xF0, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x00, 0xF0, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0xFF, 0xFF, 0xF0, 
0x0F, 0xF0, 0x0F, 0xF0, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x0F, 0xFF, 0x00, 
0x00, 0xF0, 0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0xF0, 0x00, 
0x00, 0xF0, 0x00, 0xF0, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x10, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x0F, 0xFF, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0xF0, 0xF0, 0x0F, 0xF0, 0xFF, 0xF0, 0x0F, 0x00, 0xF0, 0x00, 0xF0, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0x0F, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x0F, 0x00, 0xFF, 0xF0, 0x0F, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x0F, 0x00, 0x00, 0xF0, 0x0F, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x0F, 0x00, 0xFF, 0x00, 0x0F, 0x00, 0x0F, 0x00, 0x0F, 0xF0, 0xF0, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};

// -----------------------------------------------------------------------------
const UINT8 GraphDyastolic[] = {
128, 64,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x03, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x20, 0x00, 0x00, 0x00, 
0x0F, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x0F, 0xFF, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0xFF, 0xFF, 0xF0, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0xFF, 0xFF, 0xF0, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x0F, 0xFF, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x51, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x0F, 0xFF, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x0F, 0x00, 0xF0, 0x00, 0xFF, 0x0F, 0xFF, 0x00, 0xF0, 0x0F, 0x00, 0x0F, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x0F, 0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0xF0, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0xFF, 0x0F, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, };


// -----------------------------------------------------------------------------
const UINT8 GraphHeartBeat[] = {
128, 64,              //Imagesize width x height (in pixel)
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x03, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x20, 0x00, 0x00, 0x00, 
0x0F, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x0F, 0xFF, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x0F, 0xFF, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0xFF, 0xFF, 0xF0, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0xFF, 0xFF, 0xF0, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x0F, 0xFF, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0xF0, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0x0F, 0x0F, 0xFF, 0xFF, 0xF0, 0xF5, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x50, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0F, 0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x0F, 0xFF, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0x0F, 0xF0, 0x0F, 0x00, 0xFF, 0x00, 0xFF, 0xF0, 0xFF, 0x00, 0x0F, 0xF0, 0x0F, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0x0F, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0xFF, 0x00, 0xFF, 0xF0, 0xFF, 0x00, 0x0F, 0x00, 0xFF, 0x00, 0xFF, 0x00, 0xFF, 0xF0, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0xF0, 0xF0, 0x0F, 0x00, 0xF0, 0xF0, 0xF0, 0x00, 0xF0, 0xF0, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0x0F, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0x0F, 0x00, 0xFF, 0x00, 0x0F, 0xF0, 0xF0, 0xF0, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
};
